| Home | Libraries | People | FAQ | More

## Struct template static_interval<IntervalT, false, PretendedBounds, RepresentedBounds>

boost::icl::static_interval<IntervalT, false, PretendedBounds, RepresentedBounds>

## Synopsis

    // In header: <boost/icl/interval.hpp>

    template<typename IntervalT, bound_type PretendedBounds,
             bound_type RepresentedBounds>
    struct static_interval<IntervalT, false, PretendedBounds, RepresentedBounds> {
      // types
      typedef interval_traits< IntervalT >::domain_type domain_type;

      // public static functions
      static IntervalT construct(const domain_type &, const domain_type &);
    };

## Description

### `static_interval` public static functions

1.     static IntervalT construct(const domain_type & low, const domain_type & up);